Package org.apache.trevni.avro

# Class AvroColumnReader.Params

java.lang.Object
org.apache.trevni.avro.AvroColumnReader.Params

Enclosing class:
  `AvroColumnReader<D>`

public static class AvroColumnReader.Params extends Object
Parameters for reading an Avro column file.

## Constructor Summary

Constructors
Constructor
Description
`Params(File file)`
Construct reading from a file.
`Params(org.apache.trevni.Input input)`
Construct reading from input.

## Method Summary

Modifier and Type
Method
Description
`AvroColumnReader.Params`
`setModel(org.apache.avro.generic.GenericData model)`
Set data representation.
`AvroColumnReader.Params`
`setSchema(org.apache.avro.Schema schema)`
Set subset schema to project data down to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Params

public Params(File file) throws IOException
Construct reading from a file.

Throws:
  `IOException`

### Params

public Params(org.apache.trevni.Input input)
Construct reading from input.

## Method Details

### setSchema

public AvroColumnReader.Params setSchema(org.apache.avro.Schema schema)
Set subset schema to project data down to.

### setModel

public AvroColumnReader.Params setModel(org.apache.avro.generic.GenericData model)
Set data representation.